import { MongoClient, Db } from "mongodb";

class Mongo {
  private client: MongoClient;
  private dbName: string;

  constructor(uri: string) {
    this.client = new MongoClient(uri);
  }

  getDb(): Db {
    return this.client.db(this.dbName);
  }
}

export default Mongo;
