import { CreateUserBody, User, UserInfo } from "@core";
import { Services } from "../express/server";

export function Create(services: Services): (tracker: string, user: CreateUserBody) => Promise<UserInfo> {
  const { db } = services;
  const coll = db.collection("users");

  return async (tracker, user) => {
    await coll.insertOne(user);
    return {
      name: "test"
    }
  }
}