import { RequestHandler } from "express";
import { randomUUID } from "crypto";

export function BeforeEach(): RequestHandler {
  return (req, res, next) => {
    req.headers["request-id"] = randomUUID();
    next();
  }
}