import { CreateUserBody, UserInfo } from "@core";
import { Services } from "../framework/express/server";
import * as mongo from "../framework/mongo/user";

export function Create(services: Services): (tracker: string, user: CreateUserBody) => Promise<UserInfo> {
  const createUser = mongo.Create(services);

  return async (tracker, user) => {
    return createUser(tracker, user);
  }
}